<div fxLayout="row">

  <div class="pillar" fxLayout="column" fxFlex="30">
    <issueCard *ngIf="showAssignment && task" [task]="task"></issueCard>

    <fileCard *ngIf="showFilePath || showContainer" [verbose]="true" fxFlex="15"
              [parameters]="parameters" [container]="container" [path]="path"></fileCard>
  </div>
  <div class="pillar centerPillar" fxFlex="40" fxFlexOffset="1">
    <raamCard>
      <div fxLayout="column" fxFlex="98" fxFlexOffset="1">

        <!-- =========================================================================================================== -->
        <!--                            Assignment Part: Type, Title, Points, Description                                -->
        <!-- =========================================================================================================== -->

        <assignmentCollapsible #assignment fxFlexOffset="1"
                               [isCollapsed]="!showAssignment" (outputCollapsed)="showAssignment = !$event"
                               [title]="task.title" (outputTitle)="task.title = $event"
                               [taskType]="task.type" (outputTaskType)="task.type = $event"
                               [estimatedPoints]="task.estimatedPoints"
                               (outputEstimatedPoints)="task.estimatedPoints = $event"
                               [description]="task.description" (outputDescription)="task.description = $event">
        </assignmentCollapsible>


        <!-- ========================================================================================================= -->
        <!--                                        Branch Part: Branch Name                                           -->
        <!-- ========================================================================================================= -->
        <branchnameCollapsible *ngIf="displayBranch()" #branch fxFlexOffset="1"
                               [isCollapsed]="!showBranchName" (outputCollapsed)="showBranchName = !$event"
                               [branchName]="branchName" (outputBranchName)="branchName = $event">

        </branchnameCollapsible>

        <!-- ========================================================================================================= -->
        <!--                                           File Part: File Path                                            -->
        <!-- ========================================================================================================= -->
        <filePathCollapsible *ngIf="displayFilePath()" #pathFile fxFlexOffset="1"
                             [isCollapsed]="!showFilePath" (outputCollapsed)="showFilePath = !$event"
                             [filePath]="path" (outputFilePath)="path = $event" [branch]="branchName">
        </filePathCollapsible>

        <!-- ========================================================================================================= -->
        <!--                                     Container Part: Format, Params                                        -->
        <!-- ========================================================================================================= -->
        <containerCollapsible *ngIf="displayContainer()" #containerr fxFlexOffset="1"
                              [isCollapsed]="!showContainer" (outputCollapsed)="showContainer = !$event"
                              [container]="container" (outputContainer)="container = $event"
                              [parameters]="parameters" (outputParameters)="parameters = $event">
        </containerCollapsible>

        <!-- ========================================================================================================= -->
        <!--                                              Assignee Part                                                -->
        <!-- ========================================================================================================= -->
        <assigneeCollapsible *ngIf="displayAssignee()" #person fxFlexOffset="1"
                             [isCollapsed]="!showAssignee" (outputCollapsed)="showAssignee = !$event"
                             [assignee]="assignee" (outputAssignee)="assignee = $event">
        </assigneeCollapsible>

        <!-- ========================================================================================================= -->
        <!--                                               Parent Part                                                 -->
        <!-- ========================================================================================================= -->
        <parentCollapsible *ngIf="displayParent()" #parent fxFlexOffset="1"
                           [isCollapsed]="!showParent" (outputCollapsed)="showParent = !$event"
                           [parent]="task.parent" (outputParent)="task.parent = $event">
        </parentCollapsible>

        <!-- ========================================================================================================= -->
        <!--                                             Children Part                                                 -->
        <!-- ========================================================================================================= -->
        <childrenCollapsible *ngIf="displayChildren()" fxFlexOffset="1"
                             [isCollapsed]="!showChildren" (outputCollapsed)="showChildren = !$event"
                             [children]="task.children" (outputChildren)="task.children = $event">
        </childrenCollapsible>

        <!-- ========================================================================================================= -->
        <!--                                            Execute Button                                                 -->
        <!-- ========================================================================================================= -->
        <div *ngIf="displayExecution()" fxLayout="column" fxFlexOffset="2">
          <div class="dividerV"></div>
          <div fxLayout="row" fxFlexOffset="2" fxLayoutAlign="end">
            <button class="btn btn-success" (click)="open()"><span class="fa fa-save"></span> create Task</button>
          </div>
        </div>

      </div>

    </raamCard>

  </div>
  <div class="pillar" fxLayout="column" fxFlex="30" fxFlexOffset="1">
    <div *ngIf="showAssignee && assignee" fxLayout="column" fxLayoutAlign="center center" fxFlexOffset="2.5">
      <userCard [user]="assignee"></userCard>
    </div>

    <div *ngIf="showChildren || showParent" fxLayout="row" fxFlex>
      <raamCard [title]="task.parent?.title" fxFlex="">
        <raamCard [title]="task.title" fxFlexOffset="1">
          <div fxLayout="column">
            <issueCard *ngFor="let task of task.children" [task]="task"></issueCard>
          </div>
        </raamCard>
      </raamCard>
    </div>
  </div>
</div>

<!-- =============================================================================================================== -->
<!--                                               Modal & Others                                                    -->
<!-- =============================================================================================================== -->

<newTaskModal #newTask (nextTaskCallback)="resetTestTask()"></newTaskModal>
